Bug 152307 - The API documentation is not actually part of the kdelibs-devel package
The API documentation is not actually part of the kdelibs-devel package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 23:18 EST by Steven Raasch
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 12:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Raasch 2005-03-27 23:18:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
The description and the release notes indicate that the API documentation is part of the package. In fact, only the directory structure for the docs is actually there.

Version-Release number of selected component (if applicable):
kdelibs-devel-3.3.1-2.9.FC3

How reproducible:
Always

Steps to Reproduce:
1. rpm -q kdelibs-devel -l


  

Actual Results:  <snip>

/usr/share/doc/HTML/en/kdelibs-apidocs
/usr/share/doc/HTML/en/kdelibs-apidocs/arts
/usr/share/doc/HTML/en/kdelibs-apidocs/arts/html
/usr/share/doc/HTML/en/kdelibs-apidocs/common
/usr/share/doc/HTML/en/kdelibs-apidocs/dcop
/usr/share/doc/HTML/en/kdelibs-apidocs/dcop/html
/usr/share/doc/HTML/en/kdelibs-apidocs/interfaces
/usr/share/doc/HTML/en/kdelibs-apidocs/interfaces/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kabc
/usr/share/doc/HTML/en/kdelibs-apidocs/kabc/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kate
/usr/share/doc/HTML/en/kdelibs-apidocs/kate/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore
/usr/share/doc/HTML/en/kdelibs-apidocs/kdecore/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdefx
/usr/share/doc/HTML/en/kdelibs-apidocs/kdefx/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdeprint
/usr/share/doc/HTML/en/kdelibs-apidocs/kdeprint/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kdeui
/usr/share/doc/HTML/en/kdelibs-apidocs/kdeui/html
/usr/share/doc/HTML/en/kdelibs-apidocs/khtml
/usr/share/doc/HTML/en/kdelibs-apidocs/khtml/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kio
/usr/share/doc/HTML/en/kdelibs-apidocs/kio/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kjs
/usr/share/doc/HTML/en/kdelibs-apidocs/kjs/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kmdi
/usr/share/doc/HTML/en/kdelibs-apidocs/kmdi/html
/usr/share/doc/HTML/en/kdelibs-apidocs/knewstuff
/usr/share/doc/HTML/en/kdelibs-apidocs/knewstuff/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kparts
/usr/share/doc/HTML/en/kdelibs-apidocs/kparts/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kresources
/usr/share/doc/HTML/en/kdelibs-apidocs/kresources/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kutils
/usr/share/doc/HTML/en/kdelibs-apidocs/kutils/html
/usr/share/doc/HTML/en/kdelibs-apidocs/kwallet
/usr/share/doc/HTML/en/kdelibs-apidocs/kwallet/html
/usr/share/doc/HTML/en/kdelibs-apidocs/libkmid
/usr/share/doc/HTML/en/kdelibs-apidocs/libkmid/html

</snip>

Expected Results:  
there should have been something _in_ those directories

Additional info:

none
Comment 1 Ngo Than 2005-04-19 12:19:02 EDT
it's now fixed in 3.3.1-2.11.FC3, which will be pushed by friday this week.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.